Class UmlBaseParameterSet

Declaration :

- C++ : class UmlBaseParameterSet : public UmlItem
- Java : abstract class UmlBaseParameterSet extends UmlItem

Directly inherited by : UmlParameterSet

Artifact : UmlBaseParameterSet

Operation create

Declaration :

- Uml : static, + create(inout parent : UmlActivityAction, inout s : str) : UmlActivityParameter, exceptions : RuntimeException
- C++ : public: static UmlActivityParameter * create(UmlActivityAction * parent, const char * s)
- Java : public static UmlActivityParameter create(UmlActivityAction parent, String s) throws RuntimeException

returns a new parameter set named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Operation kind

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

returns the kind of the item

Operation UmlBaseParameterSet

Declaration :

- Uml : # UmlBaseParameterSet(in id : item_id, in s : string) :
- C++ : protected: UmlBaseParameterSet(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseParameterSet(long id, String s)

the constructor, do not call it yourself !!!!!!!!!!

Operation pins

Declaration :

- Uml : + pins() : UmlActivityPin
- C++ : public: const QVector<UmlActivityPin> & pins()
- Java : public UmlActivityPin[] pins()

return the pins part of the parameter set

Operation set_Pins

Declaration :

- Uml : + set_Pins(in v : UmlActivityPin) : bool
- C++ : public: bool set_Pins(const QVector<UmlActivityPin> & v)
- Java : public void set_Pins(UmlActivityPin[] v)

set the pins

Operation unload

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Relation _pins (<unidirectional association>)

Declaration :

- Uml : - _pins : UmlActivityPin, multiplicity : *
- C++ : private: QVector<UmlActivityPin> _pins
- Java : private UmlActivityPin[] _pins

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

All public operations : apply , children , childrenVisible , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , kind , markedItems , moveAfter , name , parent , pins , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_Pins , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload , unload